Subject: bug#17600: Maybe a bug of `date`

From: HoHo Zhao <[email-masked]>
Date: Mon, 26 May 2014 17:36:02 +0800

Hi,

I sent too fast.

Here's the package versions I tested on:
	coreutils-8.21-21.fc20.x86_64
	tzdata-2014c-1.fc20.noarch

And some versions in HREL6 don't work either.

I heard that newer version no longer has this problem, sorry for
troubling. This is the version I heard it works well:
	coreutils-8.22-11.el7.x86_64
	tzdata-2014b-1.el7.noarch

As I saw this problem both exist in Fedora and RHEL, I thought it might
be a problem in the up stream, hence why I shot my mail too fast to you
instead of shooting to Red Hat Bugzilla.

On 2014/5/26 16:45, HoHo Zhao wrote:
> Hi team,
> 
> I found this "bug" maybe I am lazy to look through the info document.
> 
> Correct:
> 	$ TZ=UTC date -d "15:00 BST"
> 	Mon May 26 14:00:00 UTC 2014
> 
> Correct:
> 	$ TZ=UTC date -d "15:00 EST"
> 	Mon May 26 20:00:00 UTC 2014
> 
> Correct:
> 	$ TZ=UTC date -d "15:00 JST"   (Japan Standard Time)
> 	Mon May 26 06:00:00 UTC 2014
> 
> Wrong:
> 	$ TZ=UTC date -d "15:00 CST"   (China Standard Time)
> 	Mon May 26 21:00:00 UTC 2014
> 
> So the problem is with "CST" in the date STRING.
> 
> Thanks,
> 

-- 
HoHo Zhao
Regional IT Support
Red Hat Greater China

Ext. (PEK)83-89380 Tel. +86 10 6533 9380 (Mon, Wed, Thu)
Ext. (NAY)83-88258 Tel. +86 10 6260 8258 (Tue, Fri)